> ## Documentation Index
> Fetch the complete documentation index at: https://docs.maesn.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get offer lines

## Field support per integration

> [accordion] Business Central
>
> > [!NOTE]
> >
> > If you're not using the [Interactive Authentication Flow](https://docs.maesn.com/authentication.md#interactive-authentication-flow), make sure the query parameters `environmentName` and `companyId` are correctly populated.
> > You can obtain these values by using the `GET Environments` and `GET Companies` endpoints available under the Authentication section.
>
> Query parameters:
>
> **limit** `enum`
>
> Available options: `5`, `10`, `20`, `50`, `100`
>
> **page** `number`
>
> **filter** `string`
>
> **object**
>
> **lastModifiedAt** `string`
>
> Filter by last modified date.\\
>
> Example: `lastModifiedAt=2021-01-01T00:00:00Z`
>
> **rawData** `boolean`
>
> Supported response fields:
>
> **id** `string`
>
> **accountId** `string`
>
> **description** `string`
>
> **itemId** `string`
>
> **quantity** `number`
>
> **taxCode** `string`
>
> **taxRatePercentage** `number`
>
> **type** `enum`
>
> Available options (3-letter ISO 4217):
> `ITEM`, `COMMENT`, `ACCOUNT`, `CHARGE`, `VALUE`, `RESOURCE`, `FIXED_ASSET`
>
> **totalDiscountAmount** `number`
>
> **totalDiscountPercentage** `number`
>
> **totalGrossAmount** `number`
>
> **totalNetAmount** `number`
>
> **totalTaxAmount** `number`
>
> **unitAmount** `number`
>
> **unitName** `string`

> [accordion] Lexware Office
>
> Query parameters:
>
> **limit** `enum`
>
> Available options: `5`, `10`, `20`, `50`, `100`
>
> **page** `number`
>
> **rawData** `boolean`
>
> Supported response fields:
>
> **description** `string`
>
> **name** `string`
>
> **quantity** `number`
>
> **taxRatePercentage** `number`
>
> **totalDiscountPercentage** `number`
>
> **totalGrossAmount** `number`
>
> **totalNetAmount** `number`
>
> **totalTaxAmount** `number`
>
> **unitAmount** `number`
>
> **unitName** `string`

> [accordion] Sage Active
>
> > [!NOTE]
> >
> > If you're not using the [Interactive Authentication Flow](https://docs.maesn.com/authentication.md#interactive-authentication-flow), make sure the query parameter `companyId` is correctly populated.
> > You can obtain this value by using the `GET Companies` endpoint available under the Authentication section. Please use the id field as the companyId.
>
> Query parameters:
>
> **limit** `enum`
>
> Available options: `5`, `10`, `20`, `50`, `100`
>
> **page** `number`
>
> **filter** `string`
>
> **object**
>
> **lastModifiedAt** `string`
>
> Filter by last modified date.\\
>
> Example: `lastModifiedAt=2021-01-01T00:00:00Z`
>
> **rawData** `boolean`
>
> Supported response fields:
>
> **id** `string`
>
> **createdDate** `string`
>
> For date format details visit the [Standardized Data](https://docs.maesn.com/standardization.md) section
>
> **itemId** `string`
>
> **name** `string`
>
> **quantity** `number`
>
> Note that quantity can be a decimal numeral.
>
> **taxRatePercentage** `number`
>
> **totalGrossAmount** `number`
>
> **totalNetAmount** `number`
>
> **unitAmount** `number`
>
> **unitDiscountPercentage** `number`
>
> **updatedDate** `string`
>
> For date format details visit the [Standardized Data](https://docs.maesn.com/standardization.md) section


## OpenAPI

````yaml get /accounting/offers/{offerId}/lineItems
openapi: 3.0.0
info:
  title: Maesn unified API
  description: The Maesn unified API description
  version: '1.0'
  contact: {}
servers:
  - url: https://api.maesn.dev
security: []
tags:
  - name: maesn
    description: ''
paths:
  /accounting/offers/{offerId}/lineItems:
    get:
      tags:
        - accounting
      operationId: getOfferLineItems
      parameters:
        - name: offerId
          required: true
          in: path
          schema:
            type: string
        - name: page
          required: false
          in: query
          schema:
            type: number
        - name: limit
          required: false
          in: query
          schema:
            enum:
              - 5
              - 10
              - 20
              - 50
              - 100
            type: number
        - name: companyId
          required: false
          in: query
          schema:
            type: string
        - name: environmentName
          in: query
          schema:
            type: string
          required: false
        - name: lastModifiedAt
          required: false
          in: query
          schema:
            type: number
        - name: rawData
          required: false
          in: query
          schema:
            type: boolean
        - name: X-API-KEY
          description: API key
          in: header
          schema:
            type: string
          required: true
        - name: X-ACCOUNT-KEY
          description: Account key
          in: header
          schema:
            type: string
          required: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/BaseResponseDto'
                  - properties:
                      data:
                        type: array
                        items:
                          $ref: '#/components/schemas/OfferLineItemResponseDto'
components:
  schemas:
    BaseResponseDto:
      type: object
      properties:
        meta:
          $ref: '#/components/schemas/MetaResponse'
        data:
          oneOf:
            - type: object
            - type: array
    OfferLineItemResponseDto:
      type: object
      properties:
        id:
          type: string
          example: c1f85763-5be6-ee11-a201-6045bde98d28
        accountCode:
          type: string
          example: '8400'
        accountId:
          type: string
          example: a23cc-334rn-finsd-438m
        createdDate:
          type: string
          example: '2021-01-01T00:00:00Z'
        description:
          type: string
          example: SYDNEY Schreibtischstuhl, grün
        itemId:
          type: string
          example: f9f6653e-5be6-ee11-a201-6045bde98d28
        name:
          type: string
          example: GREEN CHAIR
        quantity:
          type: number
          example: 1
        taxCode:
          type: string
          example: CODE.19
        taxRatePercentage:
          type: number
          example: '19'
        taxType:
          type: string
          example: type-19
        type:
          type: string
          enum:
            - COMMENT
            - ACCOUNT
            - ITEM
            - RESOURCE
            - VALUE
            - FIXED_ASSET
            - CHARGE
          example: ITEM
        totalDiscountAmount:
          description: Discount applied to the line item, in the document currency.
          type: number
          example: 10
        totalDiscountPercentage:
          description: Discount applied to the line item, as a percentage.
          type: number
          example: 10
        totalGrossAmount:
          description: Gross amount of the line item — net plus tax (including VAT).
          type: number
          example: 109
        totalNetAmount:
          description: Net amount of the line item — before tax (excluding VAT).
          type: number
          example: 100
        totalTaxAmount:
          description: Tax (VAT) amount of the line item.
          type: number
          example: 19
        unitAmount:
          description: Price per unit, in the document currency.
          type: number
          example: 100
        unitDiscountAmount:
          description: Discount applied per unit, in the document currency.
          type: number
          example: 10
        unitDiscountPercentage:
          description: Discount applied per unit, as a percentage.
          type: number
          example: 10
        unitName:
          type: string
          example: STÜCK
        updatedDate:
          type: string
          example: '2021-01-01T00:00:00Z'
    MetaResponse:
      type: object
      properties:
        warnings:
          type: array
          items:
            type: string
            example: Field not used by target system
        pagination:
          $ref: '#/components/schemas/PaginationResponse'
        partialErrors:
          type: array
          description: >-
            Secondary operations that failed after the main operation succeeded.
            See [Partial Errors](/guides/partial-errors).
          items:
            type: object
            properties:
              code:
                type: string
                example: FILE_UPLOAD_FAILED
              message:
                type: string
                example: >-
                  Attachment invoice.pdf could not be uploaded to the target
                  system.
    PaginationResponse:
      type: object
      properties:
        total:
          type: number
          example: 125
        perPage:
          type: number
          example: 50
        currentPage:
          type: number
          example: 1
        totalPages:
          type: number
          example: 3

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.